# -*- coding: utf-8 -*-

from django.test import TestCase
from django.urls import reverse
from portailuser.models import PortailUser, Ecole
from .views import widget


class TestURLs(TestCase):
    def setUp(self):
        self.ecole = Ecole.inp
        self.user = PortailUser.objects.create(ecole=Ecole.inp, username="toto")

    def test_accueil(self):
        url = reverse("accueil:accueil")
        response = self.client.get(url)
        self.assertEqual(response.status_code, 200)
        self.assertTrue("articles" in response.context)
        self.assertTrue("page_accueil" in response.context)
        self.assertTemplateUsed(response, "accueil/accueil.html")

    def test_widget_zero_fillot(self):
        request = self.client.get("/")  # create a request
        setattr(request, "user", self.user)
        setattr(request, "ecole", self.ecole)
        response = widget(request)

        self.assertEqual(response, None)
        self.assertTemplateUsed(response, "accueil/widget.html")

    def test_profil_unlog(self):
        url = reverse("accueil:profil")
        response = self.client.get(url)
        self.assertEqual(response.status_code, 401)

    def test_profil_adr_redirect_unlog(self):
        url = reverse("accueil:adr_redir")
        response = self.client.get(url)
        self.assertEqual(response.status_code, 401)
